import request from "@/utils/request.js";

// 新增招商信息
export function netBusinessAdd(data) {
    return request({
        method: 'post',
        url: '/businessDevelopment/add',
        data
    });
}

// 获取招商信息
export function getBusinessByOpenId(data) {
    return request({
        method: 'get',
        url: '/businessDevelopment/getByOpenId',
        data
    });
}

// 更新招商信息
export function netBusinessUpdate(data) {
    return request({
        method: 'post',
        url: '/businessDevelopment/update',
        data
    });
}

// 添加商户（技师）信息
export function netStaffAdd(data) {
    return request({
        method: 'post',
        url: '/api/js/v1/wx/add',
        data
    });
}

// 修改商户（技师）信息
export function netStaffUpdate(data) {
    return request({
        method: 'post',
        url: '/api/js/v1/wx/update',
        data
    });
}

// 获取免车费规则
export function freeFareGet(data) {
    return request({
        method: 'get',
        url: '/tFareSetting/fareFreeRule/list',
        data
    });
}

// 添加免车费规则
export function freeFareAdd(data) {
    return request({
        method: 'post',
        url: '/tFareSetting/fareFreeRule/add',
        data
    });
}

// 禁用免车费规则
export function freeFareDisable(data) {
    return request({
        method: 'post',
        url: '/tFareSetting/fareFreeRule/disable',
        data
    });
}